Page MenuHomeFreeBSD

graphics/partio: add DOXYGEN option
ClosedPublic

Authored by fernape on Sep 13 2018, 4:21 PM.

Details

Summary

Most of the changes come from https://reviews.freebsd.org/D16662

  • Add DOXYGEN option.
  • Remove post-patch-PYTHON-off due to PYTHON_BROKEN_OFF
  • Move some variables to their proper locations
Test Plan
  • portlint -AC OK
  • poudriere builds for {10.4,11.1}{amd64,i386}, 12i386 OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Sep 13 2018, 4:21 PM
mat added inline comments.Sep 14 2018, 10:10 AM
graphics/partio/Makefile
14 ↗(On Diff #48009)

Why move this?

38 ↗(On Diff #48009)

Why move this?

fernape updated this revision to Diff 48051.Sep 14 2018, 1:52 PM

Keep USE_* sorted alphabetically

fernape updated this revision to Diff 48052.Sep 14 2018, 1:54 PM

Keep related variables close

fernape marked 2 inline comments as done.Sep 14 2018, 1:55 PM
mat added inline comments.Sep 14 2018, 4:42 PM
graphics/partio/Makefile
15 ↗(On Diff #48052)

Why blank line?

31 ↗(On Diff #48052)

Remove this maybe.

33–36 ↗(On Diff #48052)

Maybe remove the option if it is required now.

fernape updated this revision to Diff 48133.Sep 17 2018, 5:04 PM
  • Remove blank line
  • Remove PYTHON option
fernape marked 2 inline comments as done.Sep 17 2018, 5:05 PM
tcberner accepted this revision.Sep 18 2018, 7:02 PM

Looks good to me.

This revision is now accepted and ready to land.Sep 18 2018, 7:02 PM
This revision was automatically updated to reflect the committed changes.